/*****************************************************************************
 
 Getting Started with the Explorer16

 Welcome to getting started with Microchip Live Online classes!
 
 The purpose of this lab is to check that everything is installed and 
 connected correctly for the class. There is nothing to write or change
 in the lab.  Just follow the instructions here or in "Getting Started.pdf"
 If everything works you will see a password displayed on the LCD.  
 This means your tools are properly installed and running.
 
 If you run into trouble double check that you have installed everything per 
 the "Getting Started" instructions.  If you still have problems running this 
 lab then please sign up for the Live Online class called
 "Getting Started with Microchip Live Online"
 
 ******************************************************************************
 
 To run this lab:

 1) Click on Project >> Build All
 2) Click on Debugger >> Start Simulation
 2) Once Proteus VSM has intialized (may take a minute or so), click on Debugger >> Run
 3) Check that the password has been displayed on the LCD in the Proteus VSM window
 
 ******************************************************************************/
 

//-------------------------------------------------- select PIC & configure

#include <p24FJ128GA010.h>
#include "lcd.h"

_CONFIG1(JTAGEN_OFF & GCP_OFF & GWRP_OFF & BKBUG_OFF & ICS_PGx2 & FWDTEN_OFF)
_CONFIG2(IESO_OFF & FCKSM_CSDCMD & OSCIOFNC_ON &  FNOSC_FRC & POSCMOD_NONE)


//-------------------------------------------------- variables and function prototypes

void TestBoard(unsigned char *MyString);
unsigned char  MyString[] = "$WOKNQDQpu";        // encoded password string


//-------------------------------------------------- code

int main(void)
{
	LCDInit();
	TestBoard(MyString);
    
    int i = 0;
	while(MyString[i]!=0)
	{
	  LCDPut(MyString[i]);
	  i++;
	}
	
	while(1);
}


/**********************************************************************
*  2011 Microchip Technology Inc.
* SOFTWARE LICENSE AGREEMENT:
* Microchip Technology Inc. (Microchip) licenses this software to you
* solely for use with Microchip dsPIC digital signal controller
* products. The software is owned by Microchip and is protected under
* applicable copyright laws.  All rights reserved.
*
* SOFTWARE IS PROVIDED AS IS.  MICROCHIP EXPRESSLY DISCLAIMS ANY
* WARRANTY OF ANY KIND, WHETHER EXPRESS OR IMPLIED, INCLUDING BUT NOT
* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A
* PARTICULAR PURPOSE, OR NON-INFRINGEMENT. IN NO EVENT SHALL MICROCHIP
* BE LIABLE FOR ANY INCIDENTAL, SPECIAL, INDIRECT OR CONSEQUENTIAL
* DAMAGES, LOST PROFITS OR LOST DATA, HARM TO YOUR EQUIPMENT, COST OF
* PROCUREMENT OF SUBSTITUTE GOODS, TECHNOLOGY OR SERVICES, ANY CLAIMS
* BY THIRD PARTIES (INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF),
* ANY CLAIMS FOR INDEMNITY OR CONTRIBUTION, OR OTHER SIMILAR COSTS.
**********************************************************************/
