/********************************************************************************
|  CLASS:         TLS2130 - Getting Started with MPLAB C30
|  PROGRAM:       Lab1.c   
|  AUTHOR:        Rob Ostapiuk
|  DATE:          20 JAN 2008
|  DESCRIPTION:   Used to test if project configuration is correct.
|                 No modification of this file is required to complete the lab.
|  REQUIREMENTS:  (1) A heap is required for the printf() function
|                 (2) rtcLCD.c must be included in project tree                  
| 
|  REVISION HISTORY:
|  20 JAN 2008    Rob Ostapiuk
|                 First Draft
********************************************************************************/
#include <p24fj128ga010.h>         // Required for _CONFIG1 macro
#include <stdio.h>                 // Required for printf() function
#include "TLS2130.h"               // Required for LCD routines

_CONFIG1(FWDTEN_OFF & JTAGEN_OFF)

int main(void)
{
    /*---------------------------------------------------------------------------
      Setup and write text to LCD to show program is working
    ---------------------------------------------------------------------------*/
    lcdInit();                     // Setup PMP and initialize LCD
    lcdPutStr("Hello, world!");    // Write text string to LCD
    
    /*---------------------------------------------------------------------------
      "Dummy" call to printf() to show that heap was allocated correctly.
      If a heap is not declared, this will result in a compile error.
      This function will produce no output (UART is not enabled).
    ---------------------------------------------------------------------------*/
    printf("Nothing to see here.");
    
    /*---------------------------------------------------------------------------
      Loop forever...
    ---------------------------------------------------------------------------*/
    while(1);
}
