// Constant Definitions
#define RANGE 80
#define COUNT 128
#define MAX_COUNT (COUNT + RANGE)
#define MIN_COUNT (COUNT - RANGE)

#define LCD_CLEAR           0x01
#define LCD_HOME            0x02
#define LCD_CURSOR_BACK     0x10
#define LCD_CURSOR_FWD      0x14
#define LCD_PAN_LEFT        0x18
#define LCD_PAN_RIGHT       0x1C

#define BIN                 2
#define OCT                 8
#define DEC                 10
#define HEX                 16

// I/O Pin Labels
#define _S3 PORTDbits.RD6
#define _S6 PORTDbits.RD7
#define _S5 PORTAbits.RA7
#define _S4 PORTDbits.RD13

// Macro Definitions
#define lcdHome()       lcdPutSCmd(LCD_HOME)
#define lcdCurFwd()     lcdPutSCmd(LCD_CURSOR_FWD)
#define lcdCurBack()    lcdPutSCmd(LCD_CURSOR_BACK)
#define lcdPanLeft()    lcdPutSCmd(LCD_PAN_LEFT)
#define lcdPanRight()   lcdPutSCmd(LCD_PAN_RIGHT)

// Function Prototypes
void lcdInit(void);
void lcdPutCmd(char cmd);
void lcdPutSCmd(char cmd);  //Used only by macros above
void lcdPutChar(char ch);
void lcdPutStr(char *str);
void lcdPutCur(char row, char col);
void lcdPutInt(long num, char radix);
void lcdPutUInt(unsigned long num, char radix);
void lcdPutFloat(float fnum, char precision);
void lcdClear(void);
//unsigned char SwitchPressed(unsigned sw);
unsigned SwitchPressed(volatile unsigned int *sw, unsigned bit);
