#include <p24Fxxxx.h>
#include "TLS2130.h"
#include "lcdLib.h"

/*******************************************************************
* FUNCTION:     lcdInit()
* INPUTS:       None
* OUTPUTS:      None
* DESCRIPTION:  Sets up PMP and initializes LCD on Explorer 16 board
* AUTHOR:       Rob Ostapiuk
* DATE:         24 JAN 2008
* REVISIONS:    24 JAN 2008 - Initial Version
*               03 SEP 2008 - SEC added delay after lcdClear()
*******************************************************************/
void lcdInit(void)
{
	PMCON = 0x83BF;                 // Setup the PMP
	PMMODE = 0x3FF;
	PMAEN = 0x0001;
	PMADDR = 0x0000;
	lcdDelay(LCD_STARTUP);          // Entry delay
	PMDIN1 = 0b00111100;            // Set the default function
	lcdDelay(LCD_F_INSTR);
	PMDIN1 = 0b00001100;            // Set the display control
	lcdDelay(LCD_F_INSTR);            
	PMDIN1 = 0b00000110;            // Set the entry mode
	lcdDelay(LCD_S_INSTR); 
	lcdClear();                     // Clear the display
	lcdDelay(LCD_S_INSTR);          // SEC      
}
