#include <p24Fxxxx.h>
#include "TLS2130.h"
#include "lcdLib.h"

/*******************************************************************
* FUNCTION:     lcdPutCur() 
* INPUTS:       row = LCD row, col = LCD column (both zero based)
* OUTPUTS:      None
* DESCRIPTION:  Moves cursor to specific position on display
*               Valid values for row: 0 - 1
*               Valid values for col: 0 - 15
* AUTHOR:       Rob Ostapiuk
* DATE:         24 JAN 2008
* REVISIONS:    24 JAN 2008 - Initial Version
*******************************************************************/
void lcdPutCur(char row, char col)
{
    row <<= 6;
    lcdPutCmd(0x80|row|col);
} 
